<?php
	// globale Hilfsfunktionen, über pageheader.php eingebunden
	
	/*
	 * Erzeugt aus dem absoluten Pfad zu einer Ressource den
	 * Startverzeichnis-relativen Pfad
	 */
	function getHomePath($absolutePath) {
		$homepath = substr($absolutePath, strlen($_SERVER['DOCUMENT_ROOT']));
		
		if (strpos($homepath, SEPARATOR) !== 0) {
			return SEPARATOR.$homepath;
		}
		else {
			return $homepath;
		}
	}
	
	/*
	 * Gibt true zurück, falls der Benutzer eine Session laufen hat
	 */
	function sessionRunning() {
		if (isset($_COOKIE['id'])) return true;
		if (isset($_GET['id'])) return true;
		return false;
	}
	
	/*
	 * Gibt den Inhalt eines Verzeichnisses als Array zurück
	 */
	function getDirArray($verzeichnis) {
//		return scandir($verzeichnis);
		
		// Verzeichnis einlesen
		$vhandler  = opendir($verzeichnis);
		while (false !== ($dateiname = readdir($vhandler))) {
		   $dateiliste[] = $dateiname;
		}
		
		// Dateinamen die mit einem Punkt beginnen entfernen
		for ($i = 0; $i < count($dateiliste); $i++) {
			if (substr($dateiliste[$i], 0, 1) == '.') unset($dateiliste[$i]);
		}
		$dateiliste = array_values($dateiliste);
		
		// sortieren
		sort($dateiliste);
		
		return $dateiliste;
	}
	
	/*
	 * Gibt Datum und Uhrzeit im ISO-Format zurück
	 */
	function getDateTime() {
		return strftime("%Y-%m-%d %H:%M:%S", time());
	}
?>
